wifi8 2.0.0.0

Data Fields
wifi8_init_param_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
wifi8_app_wifi_cb_t | pf_app_wifi_cb
wifi8_app_mon_cb_t | pf_app_mon_cb
wifi8_eth_init_param_t | str_eth_init_param
uint8_t | gain_table_index
uint8_t | __pad16__ [2]

## Field Documentation

## ◆ __pad16__

uint8_t __pad16__[2]

padding bytes for forcing 4-byte alignment

## ◆ gain_table_index

uint8_t gain_table_index

gain table index to be used to configure the wi_fi and ble gains.

## ◆ pf_app_mon_cb

wifi8_app_mon_cb_t pf_app_mon_cb

callback for monitoring interface.

## ◆ pf_app_wifi_cb

wifi8_app_wifi_cb_t pf_app_wifi_cb

callback for wi-fi notifications.

## ◆ str_eth_init_param

wifi8_eth_init_param_t str_eth_init_param

structure to hold ethernet interface parameters.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h